package cd.casic.framework.mongo.core.sdk;

import java.io.Serializable;
import java.util.function.Function;

public interface Nested<Param, LambdaQueryWrapper> extends Serializable {

    default LambdaQueryWrapper and(Function<Param,Param> function){
        return and(true,function);
    }

    LambdaQueryWrapper or();

    LambdaQueryWrapper and(boolean condition, Function<Param,Param> function);
}
